var search_data = {"index":{"searchIndex":["insist","assert","comparators","enumerables","failure","nil","predicates","raises","kernel","reject","!=()","!~()","<()","<=()","==()","=~()",">()",">=()","assert()","assert()","fails()","include?()","insist()","is_a?()","method_missing()","new()","nil?()","raises()","reject()","respond_to?()","value()"],"longSearchIndex":["insist","insist::assert","insist::comparators","insist::enumerables","insist::failure","insist::nil","insist::predicates","insist::raises","kernel","reject","insist::comparators#!=()","insist::comparators#!~()","insist::comparators#<()","insist::comparators#<=()","insist::comparators#==()","insist::comparators#=~()","insist::comparators#>()","insist::comparators#>=()","insist::assert#assert()","reject#assert()","insist::raises#fails()","insist::enumerables#include?()","kernel#insist()","insist::predicates#is_a?()","insist::predicates#method_missing()","insist::new()","insist::nil#nil?()","insist::raises#raises()","kernel#reject()","insist::predicates#respond_to?()","insist#value()"],"info":[["Insist","","Insist.html","","<p>Insist on correctness.\n<p>Example:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">data</span> = { <span class=\"ruby-string\">&quot;hello&quot;</span> <span class=\"ruby-operator\">=&gt;</span> <span class=\"ruby-string\">&quot;world&quot;</span> }\n<span class=\"ruby-identifier\">insist</span> { <span class=\"ruby-identifier\">data</span>[<span class=\"ruby-string\">&quot;hello&quot;</span>] } <span class=\"ruby-operator\">==</span> <span class=\"ruby-string\">&quot;world&quot;</span>\n</pre>\n"],["Insist::Assert","","Insist/Assert.html","",""],["Insist::Comparators","","Insist/Comparators.html","","<p>Provides the ‘==’ assertion method.\n<p>Example:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">insist</span> { <span class=\"ruby-string\">&quot;foo&quot;</span> } <span class=\"ruby-operator\">==</span> <span class=\"ruby-string\">&quot;foo&quot;</span>\n</pre>\n"],["Insist::Enumerables","","Insist/Enumerables.html","","<p>Provides assertions for enumerable-ish methods\n<p>Example:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">insist</span> { <span class=\"ruby-string\">&quot;foo&quot;</span> } <span class=\"ruby-operator\">==</span> <span class=\"ruby-string\">&quot;foo&quot;</span>\n</pre>\n"],["Insist::Failure","","Insist/Failure.html","","<p>A failure. This is raised if an ‘insist` check fails.\n"],["Insist::Nil","","Insist/Nil.html","",""],["Insist::Predicates","","Insist/Predicates.html","",""],["Insist::Raises","","Insist/Raises.html","",""],["Kernel","","Kernel.html","",""],["Reject","","Reject.html","","<p>Like Insist, but rejects (fails) on truthy values instead falsey ones.\n"],["!=","Insist::Comparators","Insist/Comparators.html#method-i-21-3D","(expected)","<p>value != expected\n"],["!~","Insist::Comparators","Insist/Comparators.html#method-i-21~","(pattern)","<p>TODO(sissel): This requires ruby 1.9.x value !~ pattern\n"],["<","Insist::Comparators","Insist/Comparators.html#method-i-3C","(expected)","<p>value &lt; expected\n"],["<=","Insist::Comparators","Insist/Comparators.html#method-i-3C-3D","(expected)","<p>value &lt;= expected\n"],["==","Insist::Comparators","Insist/Comparators.html#method-i-3D-3D","(expected)","<p>value == expected\n"],["=~","Insist::Comparators","Insist/Comparators.html#method-i-3D~","(pattern)","<p>TODO(sissel): This requires ruby 1.9.x value =~ pattern\n"],[">","Insist::Comparators","Insist/Comparators.html#method-i-3E","(expected)","<p>value &gt; expected\n"],[">=","Insist::Comparators","Insist/Comparators.html#method-i-3E-3D","(expected)","<p>value &gt;= expected\n"],["assert","Insist::Assert","Insist/Assert.html#method-i-assert","(truthy, message)","<p>Assert something is true.\n<p>This will raise Insist::Failure with the given message if the ‘truthy’ …\n"],["assert","Reject","Reject.html#method-i-assert","(truthy, message)",""],["fails","Insist::Raises","Insist/Raises.html#method-i-fails","()","<p>Asserts a failure\n"],["include?","Insist::Enumerables","Insist/Enumerables.html#method-i-include-3F","(item)",""],["insist","Kernel","Kernel.html#method-i-insist","(&block)","<p>A shortcut to ‘Insist.new’\n<p>Example:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">insist</span> { <span class=\"ruby-string\">&quot;hello world&quot;</span> } <span class=\"ruby-operator\">!=</span> <span class=\"ruby-string\">&quot;fizzle&quot;</span>\n</pre>\n"],["is_a?","Insist::Predicates","Insist/Predicates.html#method-i-is_a-3F","(klass)","<p>Fails if the value.is_a?(klass) returns false.\n<p>insist { “hurray” }.is_a?(Number)\n"],["method_missing","Insist::Predicates","Insist/Predicates.html#method-i-method_missing","(m, *args)","<p>Pass through any ‘foo?’ style method calls to the ‘value’ and fail if the the return …\n"],["new","Insist","Insist.html#method-c-new","(&block)","<p>Create a new insist with a block.\n<p>Example:\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Insist</span>.<span class=\"ruby-identifier\">new</span> { <span class=\"ruby-identifier\">value</span> }\n</pre>\n"],["nil?","Insist::Nil","Insist/Nil.html#method-i-nil-3F","()","<p>Assert nil\n"],["raises","Insist::Raises","Insist/Raises.html#method-i-raises","(exception_class)","<p>Assert raises\n"],["reject","Kernel","Kernel.html#method-i-reject","(&block)","<p>A shortcut to ‘Reject.new’\n<p>Example:\n\n<pre># This will fail (raises Insist::Failure)\nreject { [1,2,3,4] ...</pre>\n"],["respond_to?","Insist::Predicates","Insist/Predicates.html#method-i-respond_to-3F","(method)","<p>Fails if the value does not respond to a method.\n<p>insist { “hurray” }.respond_to?(:size)\n"],["value","Insist","Insist.html#method-i-value","()",""]]}}